import biome

chunkMax = 160
chunkMin = 50


def generateChunk(x, z, decorator):
    dic = [[["air" for i in range(0,16)] for j in range(0,256)] for k in range(0,16)]
    for j in range(chunkMin,chunkMax):
        for i in range(0,16):
            for k in range(0,16):
                if biome.hasBlock(x+i,j,z+k,decorator):
                    dic[i][j][k] = "stone"
    print(x,z)
                    
    return dic

def exportChunk(x,z,chunk):
    data = ""
    for i in range(0,16):
        for k in range(0,16):
            for j in range(chunkMin,chunkMax):
                canBeSee = chunk[max(i-1,0)][j][k] == "air" or chunk[min(i+1,15)][j][k] == "air" or chunk[i][max(j-1,0)][k] == "air" or chunk[i][min(j+1,255)][k] == "air" or chunk[i][j][max(k-1,0)] == "air" or chunk[i][j][min(k+1,15)] == "air"
                if canBeSee and chunk[i][j][k] != "air" and j != chunkMin:
                    data += "setblock "+str(x+i)+" "+str(j)+" "+str(z+k)+" "+chunk[i][j][k]+"\n"
    return data    

f = open("generate.mcfunction","w+")
area = 20
def circular(x,y,z,h):
    return (1+((x**2+z**2)**0.5)/4)+h

for i in range(-area*16,area*16,16):
    for j in range(-area*16,area*16,16):
        f.write(exportChunk(i,j,generateChunk(i,j,circular)))
f.close()
